Python3

We currently support Python3.6.8

The following third-party modules can be used in your Python 3 submissions.

# pip3 freeze
asn1crypto==0.24.0
attrs==19.1.0
backports-abc==0.5
bcrypt==3.1.7
beautifulsoup4==4.6.0
blinker==1.4
capstone==4.0.1
certifi==2018.1.18
cffi==1.12.3
chardet==3.0.4
Click==7.0
cryptography==2.7
decorator==4.1.2
dpkt==1.9.2
enum34==1.1.6
filelock==3.0.12
Flask==1.1.1
futures==3.1.1
html5lib==0.999999999
idna==2.6
importlib-metadata==0.19
intervaltree==3.0.2
ipaddress==1.0.22
itsdangerous==1.1.0
Jinja2==2.10.1
keyring==10.6.0
keyrings.alt==3.0
lxml==4.2.1
Mako==1.1.0
MarkupSafe==1.1.1
more-itertools==7.2.0
ndg-httpsclient==0.5.1
nose==1.3.7
numpy==1.13.3
olefile==0.45.1
packaging==19.1
pandas==0.25.1
paramiko==2.6.0
pexpect==4.7.0
Pillow==5.1.0
pluggy==0.12.0
psutil==5.6.3
ptyprocess==0.6.0
py==1.8.0
pyasn1==0.4.2
pycparser==2.19
pycrypto==2.6.1
pyelftools==0.25
Pygments==2.4.2
pygobject==3.26.1
pyinotify==0.9.6
PyJWT==1.7.1
PyMySQL==0.9.3
PyNaCl==1.3.0
pyOpenSSL==19.0.0
pypandoc==1.4
pyparsing==2.4.2
pyserial==3.4
PySocks==1.7.0
python-apt==1.6.4
python-dateutil==2.8.0
pytz==2019.2
pyxdg==0.25
requests==2.18.4
scapy==2.4.3
scipy==1.3.1
SecretStorage==2.3.1
singledispatch==3.4.0.3
six==1.11.0
sortedcontainers==2.1.0
ssh-import-id==5.7
toml==0.10.0
tornado==6.0.3
tox==3.13.2
unattended-upgrades==0.1
unicorn==1.0.1
urllib3==1.22
uWSGI==2.0.18
virtualenv==15.1.0
webencodings==0.5
Werkzeug==0.15.5
zipp==0.6.0